/**
 * ECS root file
 * 
 * Contributors:
 * Brychan Dempsey - brychand@hotmail.com
 */

import java.util.*;

public class ECS {
    // Entities in an ECS are just a unique integer
    List<Integer> entities = new ArrayList<>();
    // Components are either primitive types or class/struct definitions, with an additional list associating
    // the entities the component is assigned to
    List<Object> components = new ArrayList<>();
    // Systems are user-defined functions that are called by the game engine, usually at a regular interval such 
    // as between every render frame. It must be able to find all instances of a specific component, in order
    // to update/read its data. A component  
    List<Object> systems = new ArrayList<>();


    int entityIndex = 0;
    int componentIndex = 0;
    int systemIndex = 0;

    Integer createEntity(){
        
    }

}